package com.utic.center.utic.traf.server.dao.mapper.dwdb;

import com.utic.center.utic.traf.server.dto.dwdb.ParamAnalysisType;
import com.utic.center.utic.traf.server.dto.dwdb.ParamHoliday;
import com.utic.center.utic.traf.server.dto.dwdb.ParamMissing;
import com.utic.center.utic.traf.server.dto.dwdb.ParamPatternEffectDay;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface DwdbParamMapper {

    ParamAnalysisType findAnalysisType();
    ParamMissing findMissing();
    ParamPatternEffectDay findPtrnEffectDays();
    ParamHoliday findHoliday(@Param("ptrnTime") String ptrnTime);
    List<String> findPtrnMissingLink();

}
